<?php

namespace App\Http\Controllers;

use App\Models\CheckCard;
use App\Models\Student;
use App\Models\StudentCourse;
use App\Services\Admin\AdminUser;
use Carbon\Carbon;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Intervention\Image\Facades\Image;

class TestController extends Controller
{
    public function index(Request $request)
    {
        $today = Carbon::today();
        $this_week_begin = null;
        while($today->dayOfWeekIso != 1) {
            $today = $today->subDay();
        }
        $this_week_begin = $today->toDateTimeString();
        $this_week_end = $today->addDays(7)->toDateTimeString();
        dd($this_week_begin, $this_week_end);
    }
}
